Bug 311694 - Krita freeze on saving kpp files ( paintoppresets ) after editing the thumbnail
Summary: Krita freeze on saving kpp files ( paintoppresets ) after editing the thumbnail
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 15:02 UTC by David REVOY
Modified: 2012-12-28 16:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2012-12-14 15:02:28 UTC
Krita freeze on saving kpp files ( paintoppresets )  after editing the thumbnail. The only way to escape is killing the process; but it also destroy the preset files half saved. 

To test :
go to ~/.kde/share/apps/krita/paintoppresets , then open a *.kpp with Krita, try to edit the picture ( a brush stroke ) , and save.
Comment 1 Halla Rempt 2012-12-14 15:07:56 UTC
Outch... I'm not sure how to prevent that. The problem with files in that place is that krita also loads them as a preset, so it's open twice... It would be best, I think, to copy the file to a temporary location if you just want to the edit the png.
Comment 2 Halla Rempt 2012-12-22 15:07:43 UTC
Git commit a40748bac7eabe4806c619eb3a2a97526504bd8e by Boudewijn Rempt.
Committed on 22/12/2012 at 16:06.
Pushed by rempt into branch 'master'.

Fix saving of png's containing annotations

For some weird reason, the iterator was never increased.

M  +2    -2    krita/ui/kis_png_converter.cpp

http://commits.kde.org/calligra/a40748bac7eabe4806c619eb3a2a97526504bd8e
Comment 3 Halla Rempt 2012-12-22 15:08:17 UTC
Git commit c88a0f8c67cbeecb945c5a0a03c7300f4905ec1f by Boudewijn Rempt.
Committed on 22/12/2012 at 16:06.
Pushed by rempt into branch 'calligra/2.6'.

Fix saving of png's containing annotations

For some weird reason, the iterator was never increased.

M  +2    -2    krita/ui/kis_png_converter.cpp

http://commits.kde.org/calligra/c88a0f8c67cbeecb945c5a0a03c7300f4905ec1f
Comment 4 Jean-Nicolas Artaud 2012-12-28 16:55:44 UTC
Git commit d33fb3a26f86127614c385e080f4661d108f3803 by Jean-Nicolas Artaud, on behalf of Boudewijn Rempt.
Committed on 22/12/2012 at 16:06.
Pushed by artaud into branch 'flake-configwidgets-boemann'.

Fix saving of png's containing annotations

For some weird reason, the iterator was never increased.

M  +2    -2    krita/ui/kis_png_converter.cpp

http://commits.kde.org/calligra/d33fb3a26f86127614c385e080f4661d108f3803